File indexing completed on 2024-12-22 04:04:06

0001 # Makefile.in generated by automake 1.16.1 from Makefile.am.
0002 # @configure_input@
0003 
0004 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
0005 
0006 # This Makefile.in is free software; the Free Software Foundation
0007 # gives unlimited permission to copy and/or distribute it,
0008 # with or without modifications, as long as this notice is preserved.
0009 
0010 # This program is distributed in the hope that it will be useful,
0011 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
0012 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
0013 # PARTICULAR PURPOSE.
0014 
0015 @SET_MAKE@
0016 VPATH = @srcdir@
0017 am__is_gnu_make = { \
0018   if test -z '$(MAKELEVEL)'; then \
0019     false; \
0020   elif test -n '$(MAKE_HOST)'; then \
0021     true; \
0022   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
0023     true; \
0024   else \
0025     false; \
0026   fi; \
0027 }
0028 am__make_running_with_option = \
0029   case $${target_option-} in \
0030       ?) ;; \
0031       *) echo "am__make_running_with_option: internal error: invalid" \
0032               "target option '$${target_option-}' specified" >&2; \
0033          exit 1;; \
0034   esac; \
0035   has_opt=no; \
0036   sane_makeflags=$$MAKEFLAGS; \
0037   if $(am__is_gnu_make); then \
0038     sane_makeflags=$$MFLAGS; \
0039   else \
0040     case $$MAKEFLAGS in \
0041       *\\[\ \   ]*) \
0042         bs=\\; \
0043         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
0044           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
0045     esac; \
0046   fi; \
0047   skip_next=no; \
0048   strip_trailopt () \
0049   { \
0050     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
0051   }; \
0052   for flg in $$sane_makeflags; do \
0053     test $$skip_next = yes && { skip_next=no; continue; }; \
0054     case $$flg in \
0055       *=*|--*) continue;; \
0056         -*I) strip_trailopt 'I'; skip_next=yes;; \
0057       -*I?*) strip_trailopt 'I';; \
0058         -*O) strip_trailopt 'O'; skip_next=yes;; \
0059       -*O?*) strip_trailopt 'O';; \
0060         -*l) strip_trailopt 'l'; skip_next=yes;; \
0061       -*l?*) strip_trailopt 'l';; \
0062       -[dEDm]) skip_next=yes;; \
0063       -[JT]) skip_next=yes;; \
0064     esac; \
0065     case $$flg in \
0066       *$$target_option*) has_opt=yes; break;; \
0067     esac; \
0068   done; \
0069   test $$has_opt = yes
0070 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
0071 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
0072 pkgdatadir = $(datadir)/@PACKAGE@
0073 pkgincludedir = $(includedir)/@PACKAGE@
0074 pkglibdir = $(libdir)/@PACKAGE@
0075 pkglibexecdir = $(libexecdir)/@PACKAGE@
0076 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
0077 install_sh_DATA = $(install_sh) -c -m 644
0078 install_sh_PROGRAM = $(install_sh) -c
0079 install_sh_SCRIPT = $(install_sh) -c
0080 INSTALL_HEADER = $(INSTALL_DATA)
0081 transform = $(program_transform_name)
0082 NORMAL_INSTALL = :
0083 PRE_INSTALL = :
0084 POST_INSTALL = :
0085 NORMAL_UNINSTALL = :
0086 PRE_UNINSTALL = :
0087 POST_UNINSTALL = :
0088 build_triplet = @build@
0089 host_triplet = @host@
0090 check_PROGRAMS = pgmdiff$(EXEEXT) checkbin$(EXEEXT)
0091 subdir = check
0092 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
0093 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
0094         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
0095         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
0096         $(top_srcdir)/configure.ac
0097 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
0098         $(ACLOCAL_M4)
0099 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
0100 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
0101 CONFIG_HEADER = $(top_builddir)/config.h
0102 CONFIG_CLEAN_FILES =
0103 CONFIG_CLEAN_VPATH_FILES =
0104 am_checkbin_OBJECTS = checkbin.$(OBJEXT)
0105 checkbin_OBJECTS = $(am_checkbin_OBJECTS)
0106 checkbin_LDADD = $(LDADD)
0107 AM_V_lt = $(am__v_lt_@AM_V@)
0108 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
0109 am__v_lt_0 = --silent
0110 am__v_lt_1 = 
0111 am_pgmdiff_OBJECTS = pgmdiff.$(OBJEXT)
0112 pgmdiff_OBJECTS = $(am_pgmdiff_OBJECTS)
0113 AM_V_P = $(am__v_P_@AM_V@)
0114 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
0115 am__v_P_0 = false
0116 am__v_P_1 = :
0117 AM_V_GEN = $(am__v_GEN_@AM_V@)
0118 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
0119 am__v_GEN_0 = @echo "  GEN     " $@;
0120 am__v_GEN_1 = 
0121 AM_V_at = $(am__v_at_@AM_V@)
0122 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
0123 am__v_at_0 = @
0124 am__v_at_1 = 
0125 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
0126 depcomp = $(SHELL) $(top_srcdir)/depcomp
0127 am__maybe_remake_depfiles = depfiles
0128 am__depfiles_remade = ./$(DEPDIR)/checkbin.Po ./$(DEPDIR)/pgmdiff.Po
0129 am__mv = mv -f
0130 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
0131         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
0132 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
0133         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
0134         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
0135         $(AM_CFLAGS) $(CFLAGS)
0136 AM_V_CC = $(am__v_CC_@AM_V@)
0137 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
0138 am__v_CC_0 = @echo "  CC      " $@;
0139 am__v_CC_1 = 
0140 CCLD = $(CC)
0141 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
0142         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
0143         $(AM_LDFLAGS) $(LDFLAGS) -o $@
0144 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
0145 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
0146 am__v_CCLD_0 = @echo "  CCLD    " $@;
0147 am__v_CCLD_1 = 
0148 SOURCES = $(checkbin_SOURCES) $(pgmdiff_SOURCES)
0149 DIST_SOURCES = $(checkbin_SOURCES) $(pgmdiff_SOURCES)
0150 am__can_run_installinfo = \
0151   case $$AM_UPDATE_INFO_DIR in \
0152     n|no|NO) false;; \
0153     *) (install-info --version) >/dev/null 2>&1;; \
0154   esac
0155 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
0156 # Read a list of newline-separated strings from the standard input,
0157 # and print each of them once, without duplicates.  Input order is
0158 # *not* preserved.
0159 am__uniquify_input = $(AWK) '\
0160   BEGIN { nonempty = 0; } \
0161   { items[$$0] = 1; nonempty = 1; } \
0162   END { if (nonempty) { for (i in items) print i; }; } \
0163 '
0164 # Make sure the list of sources is unique.  This is necessary because,
0165 # e.g., the same source file might be shared among _SOURCES variables
0166 # for different programs/libraries.
0167 am__define_uniq_tagged_files = \
0168   list='$(am__tagged_files)'; \
0169   unique=`for i in $$list; do \
0170     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
0171   done | $(am__uniquify_input)`
0172 ETAGS = etags
0173 CTAGS = ctags
0174 am__tty_colors_dummy = \
0175   mgn= red= grn= lgn= blu= brg= std=; \
0176   am__color_tests=no
0177 am__tty_colors = { \
0178   $(am__tty_colors_dummy); \
0179   if test "X$(AM_COLOR_TESTS)" = Xno; then \
0180     am__color_tests=no; \
0181   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
0182     am__color_tests=yes; \
0183   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
0184     am__color_tests=yes; \
0185   fi; \
0186   if test $$am__color_tests = yes; then \
0187     red=''; \
0188     grn=''; \
0189     lgn=''; \
0190     blu=''; \
0191     mgn=''; \
0192     brg=''; \
0193     std=''; \
0194   fi; \
0195 }
0196 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
0197 am__vpath_adj = case $$p in \
0198     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
0199     *) f=$$p;; \
0200   esac;
0201 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
0202 am__install_max = 40
0203 am__nobase_strip_setup = \
0204   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
0205 am__nobase_strip = \
0206   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
0207 am__nobase_list = $(am__nobase_strip_setup); \
0208   for p in $$list; do echo "$$p $$p"; done | \
0209   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
0210   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
0211     if (++n[$$2] == $(am__install_max)) \
0212       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
0213     END { for (dir in files) print dir, files[dir] }'
0214 am__base_list = \
0215   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
0216   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
0217 am__uninstall_files_from_dir = { \
0218   test -z "$$files" \
0219     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
0220     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
0221          $(am__cd) "$$dir" && rm -f $$files; }; \
0222   }
0223 am__recheck_rx = ^[     ]*:recheck:[    ]*
0224 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
0225 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
0226 # A command that, given a newline-separated list of test names on the
0227 # standard input, print the name of the tests that are to be re-run
0228 # upon "make recheck".
0229 am__list_recheck_tests = $(AWK) '{ \
0230   recheck = 1; \
0231   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
0232     { \
0233       if (rc < 0) \
0234         { \
0235           if ((getline line2 < ($$0 ".log")) < 0) \
0236             recheck = 0; \
0237           break; \
0238         } \
0239       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
0240         { \
0241           recheck = 0; \
0242           break; \
0243         } \
0244       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
0245         { \
0246           break; \
0247         } \
0248     }; \
0249   if (recheck) \
0250     print $$0; \
0251   close ($$0 ".trs"); \
0252   close ($$0 ".log"); \
0253 }'
0254 # A command that, given a newline-separated list of test names on the
0255 # standard input, create the global log from their .trs and .log files.
0256 am__create_global_log = $(AWK) ' \
0257 function fatal(msg) \
0258 { \
0259   print "fatal: making $@: " msg | "cat >&2"; \
0260   exit 1; \
0261 } \
0262 function rst_section(header) \
0263 { \
0264   print header; \
0265   len = length(header); \
0266   for (i = 1; i <= len; i = i + 1) \
0267     printf "="; \
0268   printf "\n\n"; \
0269 } \
0270 { \
0271   copy_in_global_log = 1; \
0272   global_test_result = "RUN"; \
0273   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
0274     { \
0275       if (rc < 0) \
0276          fatal("failed to read from " $$0 ".trs"); \
0277       if (line ~ /$(am__global_test_result_rx)/) \
0278         { \
0279           sub("$(am__global_test_result_rx)", "", line); \
0280           sub("[        ]*$$", "", line); \
0281           global_test_result = line; \
0282         } \
0283       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
0284         copy_in_global_log = 0; \
0285     }; \
0286   if (copy_in_global_log) \
0287     { \
0288       rst_section(global_test_result ": " $$0); \
0289       while ((rc = (getline line < ($$0 ".log"))) != 0) \
0290       { \
0291         if (rc < 0) \
0292           fatal("failed to read from " $$0 ".log"); \
0293         print line; \
0294       }; \
0295       printf "\n"; \
0296     }; \
0297   close ($$0 ".trs"); \
0298   close ($$0 ".log"); \
0299 }'
0300 # Restructured Text title.
0301 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
0302 # Solaris 10 'make', and several other traditional 'make' implementations,
0303 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
0304 # by disabling -e (using the XSI extension "set +e") if it's set.
0305 am__sh_e_setup = case $$- in *e*) set +e;; esac
0306 # Default flags passed to test drivers.
0307 am__common_driver_flags = \
0308   --color-tests "$$am__color_tests" \
0309   --enable-hard-errors "$$am__enable_hard_errors" \
0310   --expect-failure "$$am__expect_failure"
0311 # To be inserted before the command running the test.  Creates the
0312 # directory for the log if needed.  Stores in $dir the directory
0313 # containing $f, in $tst the test, in $log the log.  Executes the
0314 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
0315 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
0316 # will run the test scripts (or their associated LOG_COMPILER, if
0317 # thy have one).
0318 am__check_pre = \
0319 $(am__sh_e_setup);                                      \
0320 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
0321 $(am__tty_colors);                                      \
0322 srcdir=$(srcdir); export srcdir;                        \
0323 case "$@" in                                            \
0324   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
0325     *) am__odir=.;;                                     \
0326 esac;                                                   \
0327 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
0328   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
0329 if test -f "./$$f"; then dir=./;                        \
0330 elif test -f "$$f"; then dir=;                          \
0331 else dir="$(srcdir)/"; fi;                              \
0332 tst=$$dir$$f; log='$@';                                 \
0333 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
0334   am__enable_hard_errors=no;                            \
0335 else                                                    \
0336   am__enable_hard_errors=yes;                           \
0337 fi;                                                     \
0338 case " $(XFAIL_TESTS) " in                              \
0339   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
0340     am__expect_failure=yes;;                            \
0341   *)                                                    \
0342     am__expect_failure=no;;                             \
0343 esac;                                                   \
0344 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
0345 # A shell command to get the names of the tests scripts with any registered
0346 # extension removed (i.e., equivalently, the names of the test logs, with
0347 # the '.log' extension removed).  The result is saved in the shell variable
0348 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
0349 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
0350 # since that might cause problem with VPATH rewrites for suffix-less tests.
0351 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
0352 am__set_TESTS_bases = \
0353   bases='$(TEST_LOGS)'; \
0354   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
0355   bases=`echo $$bases`
0356 RECHECK_LOGS = $(TEST_LOGS)
0357 AM_RECURSIVE_TARGETS = check recheck
0358 TEST_SUITE_LOG = test-suite.log
0359 TEST_EXTENSIONS = @EXEEXT@ .test
0360 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
0361 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
0362 am__set_b = \
0363   case '$@' in \
0364     */*) \
0365       case '$*' in \
0366         */*) b='$*';; \
0367           *) b=`echo '$@' | sed 's/\.log$$//'`; \
0368        esac;; \
0369     *) \
0370       b='$*';; \
0371   esac
0372 am__test_logs1 = $(TESTS:=.log)
0373 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
0374 TEST_LOGS = $(am__test_logs2:.test.log=.log)
0375 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
0376 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
0377         $(TEST_LOG_FLAGS)
0378 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
0379         $(top_srcdir)/mkinstalldirs $(top_srcdir)/test-driver
0380 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
0381 ACLOCAL = @ACLOCAL@
0382 AMTAR = @AMTAR@
0383 AM_CPPFLAGS = @AM_CPPFLAGS@
0384 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
0385 AR = @AR@
0386 AS = @AS@
0387 AUTOCONF = @AUTOCONF@
0388 AUTOHEADER = @AUTOHEADER@
0389 AUTOMAKE = @AUTOMAKE@
0390 AWK = @AWK@
0391 CADD = @CADD@
0392 CC = @CC@
0393 CCDEPMODE = @CCDEPMODE@
0394 CFLAGS = @CFLAGS@
0395 CPP = @CPP@
0396 CPPFLAGS = @CPPFLAGS@
0397 CYGPATH_W = @CYGPATH_W@
0398 DATE = @DATE@
0399 DEFS = @DEFS@
0400 DEPDIR = @DEPDIR@
0401 DLLTOOL = @DLLTOOL@
0402 DSYMUTIL = @DSYMUTIL@
0403 DUMPBIN = @DUMPBIN@
0404 ECHO_C = @ECHO_C@
0405 ECHO_N = @ECHO_N@
0406 ECHO_T = @ECHO_T@
0407 EGREP = @EGREP@
0408 EXEEXT = @EXEEXT@
0409 EXTRA_INCLUDES = @EXTRA_INCLUDES@
0410 EXTRA_LIBS = @EXTRA_LIBS@
0411 EXTRA_OBJS = @EXTRA_OBJS@
0412 FGREP = @FGREP@
0413 GREP = @GREP@
0414 INSTALL = @INSTALL@
0415 INSTALL_DATA = @INSTALL_DATA@
0416 INSTALL_PROGRAM = @INSTALL_PROGRAM@
0417 INSTALL_SCRIPT = @INSTALL_SCRIPT@
0418 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
0419 INSTHEADERS = @INSTHEADERS@
0420 INSTLIBS = @INSTLIBS@
0421 LD = @LD@
0422 LDFLAGS = @LDFLAGS@
0423 LIBOBJS = @LIBOBJS@
0424 LIBS = @LIBS@
0425 LIBTOOL = @LIBTOOL@
0426 LIPO = @LIPO@
0427 LN_S = @LN_S@
0428 LTLIBOBJS = @LTLIBOBJS@
0429 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
0430 MAKEINFO = @MAKEINFO@
0431 MANIFEST_TOOL = @MANIFEST_TOOL@
0432 MKBITMAP = @MKBITMAP@
0433 MKDIR_P = @MKDIR_P@
0434 NM = @NM@
0435 NMEDIT = @NMEDIT@
0436 OBJDUMP = @OBJDUMP@
0437 OBJEXT = @OBJEXT@
0438 OTOOL = @OTOOL@
0439 OTOOL64 = @OTOOL64@
0440 PACKAGE = @PACKAGE@
0441 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
0442 PACKAGE_NAME = @PACKAGE_NAME@
0443 PACKAGE_STRING = @PACKAGE_STRING@
0444 PACKAGE_TARNAME = @PACKAGE_TARNAME@
0445 PACKAGE_URL = @PACKAGE_URL@
0446 PACKAGE_VERSION = @PACKAGE_VERSION@
0447 PATH_SEPARATOR = @PATH_SEPARATOR@
0448 POTRACE = @POTRACE@
0449 POTRACELIB_VERSION = @POTRACELIB_VERSION@
0450 RANLIB = @RANLIB@
0451 SED = @SED@
0452 SET_MAKE = @SET_MAKE@
0453 SHELL = @SHELL@
0454 STRIP = @STRIP@
0455 VERSION = @VERSION@
0456 abs_builddir = @abs_builddir@
0457 abs_srcdir = @abs_srcdir@
0458 abs_top_builddir = @abs_top_builddir@
0459 abs_top_srcdir = @abs_top_srcdir@
0460 ac_ct_AR = @ac_ct_AR@
0461 ac_ct_CC = @ac_ct_CC@
0462 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
0463 am__include = @am__include@ 
0464 am__leading_dot = @am__leading_dot@
0465 am__quote = @am__quote@
0466 am__tar = @am__tar@
0467 am__untar = @am__untar@
0468 bindir = @bindir@
0469 build = @build@
0470 build_alias = @build_alias@
0471 build_cpu = @build_cpu@
0472 build_os = @build_os@
0473 build_vendor = @build_vendor@
0474 builddir = @builddir@
0475 datadir = @datadir@
0476 datarootdir = @datarootdir@
0477 docdir = @docdir@
0478 dvidir = @dvidir@
0479 exec_prefix = @exec_prefix@
0480 host = @host@
0481 host_alias = @host_alias@
0482 host_cpu = @host_cpu@
0483 host_os = @host_os@
0484 host_vendor = @host_vendor@
0485 htmldir = @htmldir@
0486 includedir = @includedir@
0487 infodir = @infodir@
0488 install_sh = @install_sh@
0489 libdir = @libdir@
0490 libexecdir = @libexecdir@
0491 localedir = @localedir@
0492 localstatedir = @localstatedir@
0493 mandir = @mandir@
0494 mkdir_p = @mkdir_p@
0495 oldincludedir = @oldincludedir@
0496 pdfdir = @pdfdir@
0497 prefix = @prefix@
0498 program_transform_name = @program_transform_name@
0499 psdir = @psdir@
0500 runstatedir = @runstatedir@
0501 sbindir = @sbindir@
0502 sharedstatedir = @sharedstatedir@
0503 srcdir = @srcdir@
0504 sysconfdir = @sysconfdir@
0505 target_alias = @target_alias@
0506 top_build_prefix = @top_build_prefix@
0507 top_builddir = @top_builddir@
0508 top_srcdir = @top_srcdir@
0509 AM_CFLAGS = $(CADD)
0510 check_SCRIPTS = input-check.sh backend-check.sh potrace-check.sh postscript-check.sh pdf-check.sh mkbitmap-check.sh mkbitmap-input-check.sh binary-check.sh
0511 TESTS = $(check_SCRIPTS)
0512 INPUTS = data1.pbm data1.pgm data1.ppm data1.pbm.plain data1.pgm.plain data1.ppm.plain data1.bmp1 data1.bmp4 data1.bmp8 data1.bmp24 data1.bmp24td data1.bmp24v5 data1.bmp32 data1.bmp32bf data1.bmp4r data1.bmp8r data1-out.pgm data1.pbm.gs data1.pbm.rot data1.pgm.rot data1.pgm.inv data2.ppm data2.bmp32bf data2-out1.pbm data2-out2.pbm data3.pgm
0513 EXTRA_DIST = $(TESTS) missing.sh $(INPUTS:%=data/%)
0514 pgmdiff_SOURCES = pgmdiff.c
0515 pgmdiff_LDADD = ../src/greymap.o -lm
0516 pgmdiff_DEPENDENCIES = ../src/greymap.o
0517 checkbin_SOURCES = checkbin.c
0518 all: all-am
0519 
0520 .SUFFIXES:
0521 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
0522 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
0523         @for dep in $?; do \
0524           case '$(am__configure_deps)' in \
0525             *$$dep*) \
0526               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
0527                 && { if test -f $@; then exit 0; else break; fi; }; \
0528               exit 1;; \
0529           esac; \
0530         done; \
0531         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu check/Makefile'; \
0532         $(am__cd) $(top_srcdir) && \
0533           $(AUTOMAKE) --gnu check/Makefile
0534 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
0535         @case '$?' in \
0536           *config.status*) \
0537             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
0538           *) \
0539             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
0540             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
0541         esac;
0542 
0543 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
0544         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
0545 
0546 $(top_srcdir)/configure:  $(am__configure_deps)
0547         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
0548 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
0549         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
0550 $(am__aclocal_m4_deps):
0551 
0552 clean-checkPROGRAMS:
0553         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
0554         echo " rm -f" $$list; \
0555         rm -f $$list || exit $$?; \
0556         test -n "$(EXEEXT)" || exit 0; \
0557         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
0558         echo " rm -f" $$list; \
0559         rm -f $$list
0560 
0561 checkbin$(EXEEXT): $(checkbin_OBJECTS) $(checkbin_DEPENDENCIES) $(EXTRA_checkbin_DEPENDENCIES) 
0562         @rm -f checkbin$(EXEEXT)
0563         $(AM_V_CCLD)$(LINK) $(checkbin_OBJECTS) $(checkbin_LDADD) $(LIBS)
0564 
0565 pgmdiff$(EXEEXT): $(pgmdiff_OBJECTS) $(pgmdiff_DEPENDENCIES) $(EXTRA_pgmdiff_DEPENDENCIES) 
0566         @rm -f pgmdiff$(EXEEXT)
0567         $(AM_V_CCLD)$(LINK) $(pgmdiff_OBJECTS) $(pgmdiff_LDADD) $(LIBS)
0568 
0569 mostlyclean-compile:
0570         -rm -f *.$(OBJEXT)
0571 
0572 distclean-compile:
0573         -rm -f *.tab.c
0574 
0575 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/checkbin.Po@am__quote@ # am--include-marker
0576 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pgmdiff.Po@am__quote@ # am--include-marker
0577 
0578 $(am__depfiles_remade):
0579         @$(MKDIR_P) $(@D)
0580         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
0581 
0582 am--depfiles: $(am__depfiles_remade)
0583 
0584 .c.o:
0585 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
0586 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
0587 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
0588 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0589 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
0590 
0591 .c.obj:
0592 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
0593 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
0594 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
0595 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0596 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
0597 
0598 .c.lo:
0599 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
0600 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
0601 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
0602 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
0603 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
0604 
0605 mostlyclean-libtool:
0606         -rm -f *.lo
0607 
0608 clean-libtool:
0609         -rm -rf .libs _libs
0610 
0611 ID: $(am__tagged_files)
0612         $(am__define_uniq_tagged_files); mkid -fID $$unique
0613 tags: tags-am
0614 TAGS: tags
0615 
0616 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
0617         set x; \
0618         here=`pwd`; \
0619         $(am__define_uniq_tagged_files); \
0620         shift; \
0621         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
0622           test -n "$$unique" || unique=$$empty_fix; \
0623           if test $$# -gt 0; then \
0624             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
0625               "$$@" $$unique; \
0626           else \
0627             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
0628               $$unique; \
0629           fi; \
0630         fi
0631 ctags: ctags-am
0632 
0633 CTAGS: ctags
0634 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
0635         $(am__define_uniq_tagged_files); \
0636         test -z "$(CTAGS_ARGS)$$unique" \
0637           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
0638              $$unique
0639 
0640 GTAGS:
0641         here=`$(am__cd) $(top_builddir) && pwd` \
0642           && $(am__cd) $(top_srcdir) \
0643           && gtags -i $(GTAGS_ARGS) "$$here"
0644 cscopelist: cscopelist-am
0645 
0646 cscopelist-am: $(am__tagged_files)
0647         list='$(am__tagged_files)'; \
0648         case "$(srcdir)" in \
0649           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
0650           *) sdir=$(subdir)/$(srcdir) ;; \
0651         esac; \
0652         for i in $$list; do \
0653           if test -f "$$i"; then \
0654             echo "$(subdir)/$$i"; \
0655           else \
0656             echo "$$sdir/$$i"; \
0657           fi; \
0658         done >> $(top_builddir)/cscope.files
0659 
0660 distclean-tags:
0661         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
0662 
0663 # Recover from deleted '.trs' file; this should ensure that
0664 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
0665 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
0666 # to avoid problems with "make -n".
0667 .log.trs:
0668         rm -f $< $@
0669         $(MAKE) $(AM_MAKEFLAGS) $<
0670 
0671 # Leading 'am--fnord' is there to ensure the list of targets does not
0672 # expand to empty, as could happen e.g. with make check TESTS=''.
0673 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
0674 am--force-recheck:
0675         @:
0676 
0677 $(TEST_SUITE_LOG): $(TEST_LOGS)
0678         @$(am__set_TESTS_bases); \
0679         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
0680         redo_bases=`for i in $$bases; do \
0681                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
0682                     done`; \
0683         if test -n "$$redo_bases"; then \
0684           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
0685           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
0686           if $(am__make_dryrun); then :; else \
0687             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
0688           fi; \
0689         fi; \
0690         if test -n "$$am__remaking_logs"; then \
0691           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
0692                "recursion detected" >&2; \
0693         elif test -n "$$redo_logs"; then \
0694           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
0695         fi; \
0696         if $(am__make_dryrun); then :; else \
0697           st=0;  \
0698           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
0699           for i in $$redo_bases; do \
0700             test -f $$i.trs && test -r $$i.trs \
0701               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
0702             test -f $$i.log && test -r $$i.log \
0703               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
0704           done; \
0705           test $$st -eq 0 || exit 1; \
0706         fi
0707         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
0708         ws='[   ]'; \
0709         results=`for b in $$bases; do echo $$b.trs; done`; \
0710         test -n "$$results" || results=/dev/null; \
0711         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
0712         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
0713         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
0714         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
0715         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
0716         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
0717         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
0718         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
0719           success=true; \
0720         else \
0721           success=false; \
0722         fi; \
0723         br='==================='; br=$$br$$br$$br$$br; \
0724         result_count () \
0725         { \
0726             if test x"$$1" = x"--maybe-color"; then \
0727               maybe_colorize=yes; \
0728             elif test x"$$1" = x"--no-color"; then \
0729               maybe_colorize=no; \
0730             else \
0731               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
0732             fi; \
0733             shift; \
0734             desc=$$1 count=$$2; \
0735             if test $$maybe_colorize = yes && test $$count -gt 0; then \
0736               color_start=$$3 color_end=$$std; \
0737             else \
0738               color_start= color_end=; \
0739             fi; \
0740             echo "$${color_start}# $$desc $$count$${color_end}"; \
0741         }; \
0742         create_testsuite_report () \
0743         { \
0744           result_count $$1 "TOTAL:" $$all   "$$brg"; \
0745           result_count $$1 "PASS: " $$pass  "$$grn"; \
0746           result_count $$1 "SKIP: " $$skip  "$$blu"; \
0747           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
0748           result_count $$1 "FAIL: " $$fail  "$$red"; \
0749           result_count $$1 "XPASS:" $$xpass "$$red"; \
0750           result_count $$1 "ERROR:" $$error "$$mgn"; \
0751         }; \
0752         {                                                               \
0753           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
0754             $(am__rst_title);                                           \
0755           create_testsuite_report --no-color;                           \
0756           echo;                                                         \
0757           echo ".. contents:: :depth: 2";                               \
0758           echo;                                                         \
0759           for b in $$bases; do echo $$b; done                           \
0760             | $(am__create_global_log);                                 \
0761         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
0762         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
0763         if $$success; then                                              \
0764           col="$$grn";                                                  \
0765          else                                                           \
0766           col="$$red";                                                  \
0767           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
0768         fi;                                                             \
0769         echo "$${col}$$br$${std}";                                      \
0770         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
0771         echo "$${col}$$br$${std}";                                      \
0772         create_testsuite_report --maybe-color;                          \
0773         echo "$$col$$br$$std";                                          \
0774         if $$success; then :; else                                      \
0775           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
0776           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
0777             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
0778           fi;                                                           \
0779           echo "$$col$$br$$std";                                        \
0780         fi;                                                             \
0781         $$success || exit 1
0782 
0783 check-TESTS: $(check_PROGRAMS) $(check_SCRIPTS)
0784         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
0785         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
0786         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
0787         @set +e; $(am__set_TESTS_bases); \
0788         log_list=`for i in $$bases; do echo $$i.log; done`; \
0789         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
0790         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
0791         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
0792         exit $$?;
0793 recheck: all $(check_PROGRAMS) $(check_SCRIPTS)
0794         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
0795         @set +e; $(am__set_TESTS_bases); \
0796         bases=`for i in $$bases; do echo $$i; done \
0797                  | $(am__list_recheck_tests)` || exit 1; \
0798         log_list=`for i in $$bases; do echo $$i.log; done`; \
0799         log_list=`echo $$log_list`; \
0800         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
0801                 am__force_recheck=am--force-recheck \
0802                 TEST_LOGS="$$log_list"; \
0803         exit $$?
0804 input-check.sh.log: input-check.sh
0805         @p='input-check.sh'; \
0806         b='input-check.sh'; \
0807         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0808         --log-file $$b.log --trs-file $$b.trs \
0809         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0810         "$$tst" $(AM_TESTS_FD_REDIRECT)
0811 backend-check.sh.log: backend-check.sh
0812         @p='backend-check.sh'; \
0813         b='backend-check.sh'; \
0814         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0815         --log-file $$b.log --trs-file $$b.trs \
0816         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0817         "$$tst" $(AM_TESTS_FD_REDIRECT)
0818 potrace-check.sh.log: potrace-check.sh
0819         @p='potrace-check.sh'; \
0820         b='potrace-check.sh'; \
0821         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0822         --log-file $$b.log --trs-file $$b.trs \
0823         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0824         "$$tst" $(AM_TESTS_FD_REDIRECT)
0825 postscript-check.sh.log: postscript-check.sh
0826         @p='postscript-check.sh'; \
0827         b='postscript-check.sh'; \
0828         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0829         --log-file $$b.log --trs-file $$b.trs \
0830         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0831         "$$tst" $(AM_TESTS_FD_REDIRECT)
0832 pdf-check.sh.log: pdf-check.sh
0833         @p='pdf-check.sh'; \
0834         b='pdf-check.sh'; \
0835         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0836         --log-file $$b.log --trs-file $$b.trs \
0837         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0838         "$$tst" $(AM_TESTS_FD_REDIRECT)
0839 mkbitmap-check.sh.log: mkbitmap-check.sh
0840         @p='mkbitmap-check.sh'; \
0841         b='mkbitmap-check.sh'; \
0842         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0843         --log-file $$b.log --trs-file $$b.trs \
0844         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0845         "$$tst" $(AM_TESTS_FD_REDIRECT)
0846 mkbitmap-input-check.sh.log: mkbitmap-input-check.sh
0847         @p='mkbitmap-input-check.sh'; \
0848         b='mkbitmap-input-check.sh'; \
0849         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0850         --log-file $$b.log --trs-file $$b.trs \
0851         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0852         "$$tst" $(AM_TESTS_FD_REDIRECT)
0853 binary-check.sh.log: binary-check.sh
0854         @p='binary-check.sh'; \
0855         b='binary-check.sh'; \
0856         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
0857         --log-file $$b.log --trs-file $$b.trs \
0858         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
0859         "$$tst" $(AM_TESTS_FD_REDIRECT)
0860 .test.log:
0861         @p='$<'; \
0862         $(am__set_b); \
0863         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
0864         --log-file $$b.log --trs-file $$b.trs \
0865         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
0866         "$$tst" $(AM_TESTS_FD_REDIRECT)
0867 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
0868 @am__EXEEXT_TRUE@       @p='$<'; \
0869 @am__EXEEXT_TRUE@       $(am__set_b); \
0870 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
0871 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
0872 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
0873 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
0874 
0875 distdir: $(BUILT_SOURCES)
0876         $(MAKE) $(AM_MAKEFLAGS) distdir-am
0877 
0878 distdir-am: $(DISTFILES)
0879         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
0880         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
0881         list='$(DISTFILES)'; \
0882           dist_files=`for file in $$list; do echo $$file; done | \
0883           sed -e "s|^$$srcdirstrip/||;t" \
0884               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
0885         case $$dist_files in \
0886           */*) $(MKDIR_P) `echo "$$dist_files" | \
0887                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
0888                            sort -u` ;; \
0889         esac; \
0890         for file in $$dist_files; do \
0891           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
0892           if test -d $$d/$$file; then \
0893             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
0894             if test -d "$(distdir)/$$file"; then \
0895               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
0896             fi; \
0897             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
0898               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
0899               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
0900             fi; \
0901             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
0902           else \
0903             test -f "$(distdir)/$$file" \
0904             || cp -p $$d/$$file "$(distdir)/$$file" \
0905             || exit 1; \
0906           fi; \
0907         done
0908 check-am: all-am
0909         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
0910         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
0911 check: check-am
0912 all-am: Makefile
0913 installdirs:
0914 install: install-am
0915 install-exec: install-exec-am
0916 install-data: install-data-am
0917 uninstall: uninstall-am
0918 
0919 install-am: all-am
0920         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
0921 
0922 installcheck: installcheck-am
0923 install-strip:
0924         if test -z '$(STRIP)'; then \
0925           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
0926             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
0927               install; \
0928         else \
0929           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
0930             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
0931             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
0932         fi
0933 mostlyclean-generic:
0934         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
0935         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
0936         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
0937 
0938 clean-generic:
0939 
0940 distclean-generic:
0941         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
0942         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
0943 
0944 maintainer-clean-generic:
0945         @echo "This command is intended for maintainers to use"
0946         @echo "it deletes files that may require special tools to rebuild."
0947 clean: clean-am
0948 
0949 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
0950         mostlyclean-am
0951 
0952 distclean: distclean-am
0953                 -rm -f ./$(DEPDIR)/checkbin.Po
0954         -rm -f ./$(DEPDIR)/pgmdiff.Po
0955         -rm -f Makefile
0956 distclean-am: clean-am distclean-compile distclean-generic \
0957         distclean-tags
0958 
0959 dvi: dvi-am
0960 
0961 dvi-am:
0962 
0963 html: html-am
0964 
0965 html-am:
0966 
0967 info: info-am
0968 
0969 info-am:
0970 
0971 install-data-am:
0972 
0973 install-dvi: install-dvi-am
0974 
0975 install-dvi-am:
0976 
0977 install-exec-am:
0978 
0979 install-html: install-html-am
0980 
0981 install-html-am:
0982 
0983 install-info: install-info-am
0984 
0985 install-info-am:
0986 
0987 install-man:
0988 
0989 install-pdf: install-pdf-am
0990 
0991 install-pdf-am:
0992 
0993 install-ps: install-ps-am
0994 
0995 install-ps-am:
0996 
0997 installcheck-am:
0998 
0999 maintainer-clean: maintainer-clean-am
1000                 -rm -f ./$(DEPDIR)/checkbin.Po
1001         -rm -f ./$(DEPDIR)/pgmdiff.Po
1002         -rm -f Makefile
1003 maintainer-clean-am: distclean-am maintainer-clean-generic
1004 
1005 mostlyclean: mostlyclean-am
1006 
1007 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1008         mostlyclean-libtool
1009 
1010 pdf: pdf-am
1011 
1012 pdf-am:
1013 
1014 ps: ps-am
1015 
1016 ps-am:
1017 
1018 uninstall-am:
1019 
1020 .MAKE: check-am install-am install-strip
1021 
1022 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1023         check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
1024         cscopelist-am ctags ctags-am distclean distclean-compile \
1025         distclean-generic distclean-libtool distclean-tags distdir dvi \
1026         dvi-am html html-am info info-am install install-am \
1027         install-data install-data-am install-dvi install-dvi-am \
1028         install-exec install-exec-am install-html install-html-am \
1029         install-info install-info-am install-man install-pdf \
1030         install-pdf-am install-ps install-ps-am install-strip \
1031         installcheck installcheck-am installdirs maintainer-clean \
1032         maintainer-clean-generic mostlyclean mostlyclean-compile \
1033         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1034         recheck tags tags-am uninstall uninstall-am
1035 
1036 .PRECIOUS: Makefile
1037 
1038 
1039 ../src/greymap.o:
1040         (cd ../src && $(MAKE) $(AM_MAKEFLAGS) greymap.o)
1041 
1042 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1043 # Otherwise a system limit (for SysV at least) may be exceeded.
1044 .NOEXPORT: